--- /dev/null
+#!/bin/sh
+# Copyright (C) 2007-2010 CEA/DEN, EDF R&D, OPEN CASCADE
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+# See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
+#
+
+CURRENT_DIR=`pwd`
+CONF_DIR=`echo $0 | sed -e "s,[^/]*$,,;s,/$,,;s,^$,.,"`
+cd ${CONF_DIR}
+python $KERNEL_ROOT_DIR/salome_adm/cmake_files/am2cmake.py --jobmanager
+status=$?
+cd ${CURRENT_DIR}
+exit $status
--- /dev/null
+@REM Copyright (C) 2007-2010 CEA/DEN, EDF R&D, OPEN CASCADE
+@REM
+@REM This library is free software; you can redistribute it and/or
+@REM modify it under the terms of the GNU Lesser General Public
+@REM License as published by the Free Software Foundation; either
+@REM version 2.1 of the License.
+@REM
+@REM This library is distributed in the hope that it will be useful,
+@REM but WITHOUT ANY WARRANTY; without even the implied warranty of
+@REM MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+@REM Lesser General Public License for more details.
+@REM
+@REM You should have received a copy of the GNU Lesser General Public
+@REM License along with this library; if not, write to the Free Software
+@REM Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+@REM
+@REM See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
+@REM
+
+%PYTHONBIN% %KERNEL_ROOT_DIR%\salome_adm\cmake_files\am2cmake.py --jobmanager\r
libJOBMANAGER_IDL_la_CXXFLAGS = -I. @KERNEL_CXXFLAGS@ @OMNIORB_CXXFLAGS@ @OMNIORB_INCLUDES@
libJOBMANAGER_IDL_la_LIBADD = $(KERNEL_LIBS)
+OMNIORB_IDLCXXFLAGS = @OMNIORB_IDLCXXFLAGS@ -I$(KERNEL_ROOT_DIR)/idl/salome
+
%SK.cc %.hh : %.idl
- $(OMNIORB_IDL) -bcxx @OMNIORB_IDLCXXFLAGS@ -I$(KERNEL_ROOT_DIR)/idl/salome $<
+ $(OMNIORB_IDL) -bcxx @OMNIORB_IDLCXXFLAGS@ $<
+
+# E.A. : IDLPYFLAGS is just to compile with cmake (parsed in am2cmake).
+
+IDLPYFLAGS = @IDLPYFLAGS@ -I$(KERNEL_ROOT_DIR)/idl/salome
CLEANFILES = *.hh *SK.cc *.py *.hxx *.cxx
JM_SalomeResource.hxx JM_SalomeResource.cxx \
JM_EditSalomeResource.hxx JM_EditSalomeResource.cxx
-nodist_libBL_GenericGui_la_SOURCES = BL_GenericGui_moc.cxx BL_JobsTable_moc.cxx \
+MOC_FILES = BL_GenericGui_moc.cxx BL_JobsTable_moc.cxx \
BL_JobTab_moc.cxx \
BL_Buttons_moc.cxx BL_JobsManager_QT_moc.cxx \
BL_QModelManager_moc.cxx BL_CreateJobWizard_moc.cxx \
BL_Summary_moc.cxx JM_ResourceCatalog_moc.cxx \
JM_SalomeResource_moc.cxx JM_EditSalomeResource_moc.cxx
+nodist_libBL_GenericGui_la_SOURCES = $(MOC_FILES)
+
libBL_GenericGui_la_CXXFLAGS = $(qt4_cppflags) \
-I$(top_srcdir)/src/bases \
-I$(top_srcdir)/src/engine \